org.eclipse.ease.lang.unittest.ui.editor

## Class TestSuiteEditor

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.ui.part.MultiPageEditorPart
        - - org.eclipse.ui.forms.editor.FormEditor
          - - org.eclipse.ease.lang.unittest.ui.editor.TestSuiteEditor

All Implemented Interfaces:
  java.util.EventListener, IResourceChangeListener, IAdaptable, IExecutableExtension, org.eclipse.emf.edit.domain.IEditingDomainProvider, IPageChangeProvider, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class TestSuiteEditor
    extends FormEditor
    implements org.eclipse.emf.edit.domain.IEditingDomainProvider, IResourceChangeListener

### Field Summary

Fields
`static java.lang.String` `CUSTOM_CODE_PAGE`
`static java.lang.String` `EDITOR_ID`
`static java.lang.String` `OVERVIEW_PAGE`
`static java.lang.String` `TEST_SELECTION_PAGE`
`static java.lang.String` `VARIABLES_PAGE`

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`TestSuiteEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `doSave(IProgressMonitor monitor)`
`void` `doSaveAs()`
`void` `executeCommand(org.eclipse.emf.common.command.Command command)`
`org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain` `getEditingDomain()`
`LocalResourceManager` `getResourceManager()`
`ITestSuiteDefinition` `getTestSuite()`
`void` `init(IEditorSite site, IEditorInput input)`
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()`
`void` `resourceChanged(IResourceChangeEvent event)`

### Methods inherited from class org.eclipse.ui.forms.editor.FormEditor

`addPage, addPage, addPage, addPage, addPage, addPage, close, editorDirtyStateChanged, findPage, getActiveEditor, getActivePageInstance, getSelectedPage, getToolkit, removePage, selectReveal, setActivePage, setActivePage`

### Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart

`addPageChangedListener, createPartControl, findEditors, getActivePage, getAdapter, removePageChangedListener, setActiveEditor, setFocus`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

### Field Detail

#### EDITOR_ID

    public static final java.lang.String EDITOR_ID

See Also:
  Constant Field Values

#### OVERVIEW_PAGE

    public static final java.lang.String OVERVIEW_PAGE

See Also:
  Constant Field Values

#### TEST_SELECTION_PAGE

    public static final java.lang.String TEST_SELECTION_PAGE

See Also:
  Constant Field Values

#### VARIABLES_PAGE

    public static final java.lang.String VARIABLES_PAGE

See Also:
  Constant Field Values

#### CUSTOM_CODE_PAGE

    public static final java.lang.String CUSTOM_CODE_PAGE

See Also:
  Constant Field Values

### Constructor Detail

#### TestSuiteEditor

    public TestSuiteEditor()

### Method Detail

#### init

    public void init(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Overrides:
  `init` in class `FormEditor`
Throws:
  `PartInitException`

#### doSaveAs

    public void doSaveAs()

Specified by:
  `doSaveAs` in interface `ISaveablePart`
Specified by:
  `doSaveAs` in class `EditorPart`

#### isSaveAsAllowed

    public boolean isSaveAsAllowed()

Specified by:
  `isSaveAsAllowed` in interface `ISaveablePart`
Specified by:
  `isSaveAsAllowed` in class `EditorPart`

#### doSave

    public void doSave(IProgressMonitor monitor)

Specified by:
  `doSave` in interface `ISaveablePart`
Specified by:
  `doSave` in class `EditorPart`

#### getTestSuite

    public ITestSuiteDefinition getTestSuite()

#### isDirty

    public boolean isDirty()

Specified by:
  `isDirty` in interface `ISaveablePart`
Overrides:
  `isDirty` in class `FormEditor`

#### getEditingDomain

    public org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain getEditingDomain()

Specified by:
  `getEditingDomain` in interface `org.eclipse.emf.edit.domain.IEditingDomainProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `FormEditor`

#### getResourceManager

    public LocalResourceManager getResourceManager()

#### executeCommand

    public void executeCommand(org.eclipse.emf.common.command.Command command)

#### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `IResourceChangeListener`